# Generated from override_kernel-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name override_kernel

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Overrides specific Kernel functions
License: GPLv3
URL: http://www.bitbucket.org/ToadJamb/gems_override_kernel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rake_tasks) >= 0.0.1
# BuildRequires: rubygem(rake_tasks) < 0.1
BuildArch: noarch

%description
OverrideKernel changes Kernel functions
from nasty wildebeasts into fluffy, harmless bunnies.
Currently, only the exit function is dealt with in such a manner.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/rakefile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README
%{gem_instdir}/override_kernel.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
